Debian Bug report logs - #411875
ITP: linux-igd -- Linux UPnP Internet Gateway Device

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nick Leverton <nick@leverton.org>

Date: Wed, 21 Feb 2007 14:54:02 UTC

Owned by: Nick Leverton <nick@leverton.org>

Severity: wishlist

Fixed in version linux-igd/1.0+cvs20070630-1

Done: Nick Leverton <nick@leverton.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411875; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to José Fonseca <j_r_fonseca@yahoo.co.uk>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: José Fonseca <j_r_fonseca@yahoo.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: linux-igd
Date: Wed, 21 Feb 2007 23:52:37 +0900
Package: wnpp
Severity: normal



I'm not using this package and I don't have the time to maintain it.

There is one last release available from 
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=linux-igd
which uses new upstream and fixes a bug.


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to `RM: linux-igd -- RoQA; unmaintained, RC-buggy' from `O: linux-igd -- Linux UPnP Internet Gateway Device'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Tue, 30 Oct 2007 14:00:08 GMT) Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Tue, 30 Oct 2007 14:00:08 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to José Fonseca <j_r_fonseca@yahoo.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 411875-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 411875-close@bugs.debian.org
Cc: linux-igd@packages.debian.org, linux-igd@packages.qa.debian.org
Subject: Bug#411875: fixed
Date: Fri, 23 Nov 2007 00:43:21 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 linux-igd | 0.cvs20060201-2 | source
 linux-igd | 0.cvs20060201-2+b1 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 411875@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#411875; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gianluigi Tiesi <sherpya@netfarm.it>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #21 received at 411875@bugs.debian.org (full text, mbox):

From: Gianluigi Tiesi <sherpya@netfarm.it>
To: 411875@bugs.debian.org
Subject: removing HAVE_LIBIPTC=1 from make does compile
Date: Wed, 28 Nov 2007 18:18:29 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I've tried version 1.0 from
http://mentors.debian.net/debian/pool/main/l/linux-igd/

by removing HAVE_LIBIPTC=1
from make in debian/rules
it compiles, perhaps dunno about differences
in functionalities

I'll try to make a patch instead

Regards

- --
Gianluigi Tiesi <sherpya@netfarm.it>
EDP Project Leader
Netfarm S.r.l. - http://www.netfarm.it/
Free Software: http://oss.netfarm.it/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHTaLl3UE5cRfnO04RAtt/AJ92j/usZOQon9+9f1k34bUGQVWjngCgugwf
FvW2zJfVmiB4m7T2R/WLNds=
=nn/H
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#411875; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gianluigi Tiesi <sherpya@netfarm.it>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #26 received at 411875@bugs.debian.org (full text, mbox):

From: Gianluigi Tiesi <sherpya@netfarm.it>
To: 411875@bugs.debian.org
Subject: Possible solution
Date: Wed, 28 Nov 2007 18:49:55 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

A possible solution is adding missing struct,
I've created ip_nat_compat.h

the code can be found here:
http://debian.cli.unipi.it/debian/pool/sherpya/l/linux-igd/

I'll post test results later (I don't have the box here)

Regards

- --
Gianluigi Tiesi <sherpya@netfarm.it>
EDP Project Leader
Netfarm S.r.l. - http://www.netfarm.it/
Free Software: http://oss.netfarm.it/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHTapD3UE5cRfnO04RArroAKCYBuunIl6kp+JwqsVsTX46FUlKZQCdGLnd
iJtytAlmp3iMjsNjksRwjDw=
=Nclt
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#411875; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gianluigi Tiesi <sherpya@netfarm.it>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #31 received at 411875@bugs.debian.org (full text, mbox):

From: Gianluigi Tiesi <sherpya@netfarm.it>
To: 411875@bugs.debian.org
Subject: works fine
Date: Wed, 28 Nov 2007 20:37:19 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

it works fine for me,

shorewall + linux-igd

from windows using port forward program
I've verified that it updates iptables

Regards

- --
Gianluigi Tiesi <sherpya@netfarm.it>
EDP Project Leader
Netfarm S.r.l. - http://www.netfarm.it/
Free Software: http://oss.netfarm.it/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHTcNv3UE5cRfnO04RAoJHAKC3YcC5+8KyYPLrz4jiVFj7pvRISACgoJcr
y/KR/LXDiaJ85H/komlzBd4=
=/PV6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Dec 2007 07:31:33 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Wed, 12 Mar 2008 22:39:10 GMT) Full text and rfc822 format available.

Bug reopened, originator set to Nick Leverton <nick@leverton.org>. Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Wed, 12 Mar 2008 22:39:11 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: linux-igd -- Linux UPnP Internet Gateway Device' from `RM: linux-igd -- RoQA; unmaintained, RC-buggy'. Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Wed, 12 Mar 2008 22:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#411875; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #44 received at 411875@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 411875@bugs.debian.org
Subject: ITA: linux-igd -- Linux UPnP Internet Gateway Device
Date: Wed, 12 Mar 2008 21:22:57 +0000
Sneak preview (not yet QA'd) of updated package at

http://debian.leverton.org/dists/etch/main/source/linux-igd_1.0+cvs20070630-1.dsc
http://debian.leverton.org/dists/etch/main/source/linux-igd_1.0+cvs20070630-1.diff.gz
http://debian.leverton.org/dists/etch/main/source/linux-igd_1.0+cvs20070630.orig.tar.gz

-- 
Serendipity: http://www.leverton.org/blosxom (last update 17th February 2008)
        "The Internet, a sort of ersatz counterfeit of real life"
                -- Janet Street-Porter, BBC2, 19th March 1996




Bug reassigned from package `ftp.debian.org' to `wnpp'. Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Wed, 12 Mar 2008 23:00:15 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: linux-igd -- Linux UPnP Internet Gateway Device' from `ITA: linux-igd -- Linux UPnP Internet Gateway Device'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 15 Mar 2008 09:19:46 GMT) Full text and rfc822 format available.

Owner recorded as Nick Leverton <nick@leverton.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 15 Mar 2008 09:19:53 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 15 Mar 2008 09:19:54 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 02 Jul 2008 20:27:35 GMT) Full text and rfc822 format available.

Reply sent to Nick Leverton <nick@leverton.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nick Leverton <nick@leverton.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 411875-close@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 411875-close@bugs.debian.org
Subject: Bug#411875: fixed in linux-igd 1.0+cvs20070630-1
Date: Sun, 06 Jul 2008 17:39:24 +0000
Source: linux-igd
Source-Version: 1.0+cvs20070630-1

We believe that the bug you reported is fixed in the latest version of
linux-igd, which is due to be installed in the Debian FTP archive:

linux-igd_1.0+cvs20070630-1.diff.gz
  to pool/main/l/linux-igd/linux-igd_1.0+cvs20070630-1.diff.gz
linux-igd_1.0+cvs20070630-1.dsc
  to pool/main/l/linux-igd/linux-igd_1.0+cvs20070630-1.dsc
linux-igd_1.0+cvs20070630-1_sparc.deb
  to pool/main/l/linux-igd/linux-igd_1.0+cvs20070630-1_sparc.deb
linux-igd_1.0+cvs20070630.orig.tar.gz
  to pool/main/l/linux-igd/linux-igd_1.0+cvs20070630.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 411875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nick Leverton <nick@leverton.org> (supplier of updated linux-igd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Jul 2008 21:33:13 +0100
Source: linux-igd
Binary: linux-igd
Architecture: source sparc
Version: 1.0+cvs20070630-1
Distribution: unstable
Urgency: low
Maintainer: Nick Leverton <nick@leverton.org>
Changed-By: Nick Leverton <nick@leverton.org>
Description: 
 linux-igd  - Linux UPnP Internet Gateway Device
Closes: 399960 411875 415981 423189 436365 436919 441082
Changes: 
 linux-igd (1.0+cvs20070630-1) unstable; urgency=low
 .
   * New maintainer (Closes: #411875)
   * New upstream CVS (Closes: #436919, #436365), including important
     option name changes:
     - Renamed the insert_forward_rules option to create_forward_rules to
       better reflect what it actually does.
     - Added the forward_rules_append to do what people thought
       insert_forward_rules did.
     See /usr/share/doc/linux-igd/CHANGES.gz for further details.
   * For compatibility with upstream, the INT_IFACE and EXT_IFACE
     initscript variables have been renamed to INTIFACE and EXTIFACE.
   * Rename initscript and defaults from /etc/{init.d,default}/upnpd to
     /etc/*/linux-igd so that they match our package name.
   * Change initscript to do nothing until /etc/default/linux-igd is
     configured (Closes: #423189, #399960).
   * Add --oknodo to all "start-stop-daemon --stop" calls in initscript
     in case daemon wasn't running anyway (Closes: #415981).
   * Configurable CHROOT and USER/GROUP for daemon.
   * Add SECURITY note and sample conf for jailer chroot.
   * Add ALLOW_MULTICAST option for multicast routing setup (compatible
     with upstream).
   * Abstract the patch for #397572 from .diff.gz into separate quilt patch
     01-debian-my_parse_port.diff
   * New patch 02-makefile.diff for fixes to makefile
   * Patch 03-debian-bindtodevice.diff Closes: #441082 (linux-igd does not
     restrict itself to the internal interface) (with further fix from Eric
     Valette).
   * Honour CFLAGS in compilation (thanks Gianluigi Tiesi <sherpya@netfarm.it>
     http://debian.cli.unipi.it/debian/pool/sherpya/l/linux-igd/ ).
   * Update watchfile as per Jochen Friedrich's suggestion.
   * Add paranoid flag to validate port forwarding requests.
   * Remove bashisms from initscript, make it dash-compatible.
Checksums-Sha1: 
 bf918d7d67955ae0c6ea6f56e9b77d4c8c92a96a 1121 linux-igd_1.0+cvs20070630-1.dsc
 20be6bb36b314265fdc247323e3f918e063a5fab 36444 linux-igd_1.0+cvs20070630.orig.tar.gz
 485fcfd6086b62c4e2bc7cfb42435c24f714686a 16857 linux-igd_1.0+cvs20070630-1.diff.gz
 74ebe2d83e1a211d0f7bdefd738bed9adc16fb14 33326 linux-igd_1.0+cvs20070630-1_sparc.deb
Checksums-Sha256: 
 3d2f7fcde84e78e0152af8e87ee87d0e912a4df75f2def7d1436cd5ddcfd25ae 1121 linux-igd_1.0+cvs20070630-1.dsc
 b4734533ba05cf904631d6aea2921910dd39b0df4dc48d21fbe9c5fc7b612184 36444 linux-igd_1.0+cvs20070630.orig.tar.gz
 467bc34a6370937a5406ca264e420a58e5ab72d505218cbcb23717dd2f91edb8 16857 linux-igd_1.0+cvs20070630-1.diff.gz
 aafdfa0aae1854f9aa0d8f44116c4bd81d48a45c23747c6f31707932e9b6baf4 33326 linux-igd_1.0+cvs20070630-1_sparc.deb
Files: 
 7b685590b5f3143cfd2073fee6590579 1121 net optional linux-igd_1.0+cvs20070630-1.dsc
 560b530837a0cd3e3c28b4c2578952f7 36444 net optional linux-igd_1.0+cvs20070630.orig.tar.gz
 49c89fee029b5029dc8fb633ea253087 16857 net optional linux-igd_1.0+cvs20070630-1.diff.gz
 ac821ef8f9a8ab0b94d476d5cfba77e1 33326 net optional linux-igd_1.0+cvs20070630-1_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIa7Zz0fhX0Y/ocz0RAv0aAJ9i8rhcwh3xkR7P1+zhGHRdKjcAzACgkHUD
LGQ+sElfMM1U34ApOfavxuc=
=/x4d
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 09:57:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:33:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.